<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8" name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <!-- Import DataTable Library -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.13.4/css/dataTables.bootstrap4.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.13.4/css/jquery.dataTables.min.css">
    <script src="https://cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>
    <title>Task 38.30</title>
</head>

<body>
    <div class="container mt-4">
        <h2 class="text-center"> Lucky Dice History </h2>
        <div class="row jumbotron p-3 mb-0">
            <div class="col-md-12">
                <form>
                    <div class="form-row">
                        <h5>Thông tin người chơi</h5>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-4">
                            <label for="username">Username</label>
                            <input type="text" id="inp-username" class="form-control bg-secondary text-white" disabled>
                        </div>
                        <div class="form-group col-md-4">
                            <label for="username">Firstname</label>
                            <input type="text" id="inp-firstname" class="form-control bg-secondary text-white" disabled>
                        </div>
                        <div class="form-group col-md-4">
                            <label for="username">Lastname</label>
                            <input type="text" id="inp-lastname" class="form-control bg-secondary text-white" disabled>
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div id="log-result" class="mt-5"></div>
        <div class="mt-5">
            <table id="dice-table-history" class="table table-bordered table-striped table-hover">
                <thead class="thead-dark">
                    <tr>
                        <th scope='col'>Game</th>
                        <th scope='col'>Dice</th>
                    </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
        </div>
    </div>
</body>
<script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gBASE_URL = "http://203.171.20.210:8080/devcamp-lucky-dice/";
    var gPlayerInfoObj = {};
    var gDiceHistoryData = [];

    const gARRAY_NAME_COL = ['game', 'dice'];
    const gCOL_GAME = 0;
    const gCOL_DICE = 1;

    var gPlayerDataTable = $("#dice-table-history").Datatable({
        columns:[
            {data: gARRAY_NAME_COL[gCOL_GAME]},
            {data: gARRAY_NAME_COL[gCOL_DICE]}
        ],
        columnDefs: [
            {
                targets: gCOL_DICE,
                className: "text-center text-primary",
                render: function(data,type,row,meta){
                    return meta.row + meta.settings.iDisplayStart +1;
                }
            },
            {
                targets: gCOL_GAME,
                className: "text-center text-success",
            },
        ]
    });
    /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
    
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onPageLoading(){
        var vCurrentURl = window.location.href;
        catcDataFormUrl(vCurrentURl);
        loadPlayerInfoToForm(gPlayerInfoObj);
        getPlayerDiceHistory(gPlayerInfoObj.userName);
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    function catcDataFormUrl(paranCurrentUrl){
        "use strict";
        var vNewUrl = new URL(paranCurrentUrl);
        var vUserName = vNewUrl.searchParams.get("user_name");
        var vFirstName = vNewUrl.searchParams.get("first_name");
        var vLastName = vNewUrl.searchParams.get("last_name");

        gPlayerInfoObj.userName = vUserName;
        gPlayerInfoObj.firstName = vFirstName;
        gPlayerInfoObj.lastName = vLastName;

        console.log(JSON.stringify(gPlayerInfoObj, true, 2));
    }
    function loadPlayerInfoToForm(paramDataObj){
        $("#inp-username").val(paramDataObj.userName);
        $("#inp-firstname").val(paramDataObj.firstName);
        $("#inp-lastname").val(paramDataObj.lastName);
    }
    function getPlayerDiceHistory(paramUserName){
        console.log(paramUserName);
        $.ajax({
            url: gBASE_URL + ""
        })
    }
</script>

</html>